Bug 446296 - repoquery --whatrequires '*-static' find files as requires?
repoquery --whatrequires '*-static' find files as requires?
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-13 19:12 EDT by Patrice Dumas
Modified: 2008-05-14 10:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 09:19:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2008-05-13 19:12:16 EDT
Description of problem:

I may be missing something, but 
repoquery --whatrequires '*-static'
also finds packages which has a file ending in -static:

cernlib-utils-0:2006-29.fc9.i386
frysk-devel-0:0.2.1-2.fc9.i386
wifiroamd-0:1.12-1.fc8.noarch
chkrootkit-0:0.48-6.fc9.i386
libmimedir-devel-0:0.4-4.fc9.i386
cernlib-g77-utils-0:2006-29.fc9.i386
p7zip-plugins-0:4.51-4.fc9.i386
qt-debuginfo-1:4.3.4-11.fc9.i386
perl-Catalyst-Plugin-Static-Simple-0:0.20-2.fc9.noarch
elfutils-devel-static-0:0.133-3.fc9.i386
redhat-rpm-config-0:9.0.2-1.fc9.noarch
osiv-devel-0:2.0.0-0.4.beta.fc9.i386

Among these, cernlib-utils, libmimedir-devel, cernlib-g77-utils and
osiv-devel really requires a -static package.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Patrice Dumas 2008-05-14 03:13:45 EDT
The file of redhat-rpm-config-0:9.0.2-1.fc9.noarch, for example,
is:
/usr/lib/rpm/redhat/brp-implant-ident-static

Comment 2 Seth Vidal 2008-05-14 08:38:52 EDT
okay, I think I've found it - we're searching too far for requires that are globs.
Comment 3 Seth Vidal 2008-05-14 09:19:12 EDT
closed in upstream yum with commit:
1611db09116490c506e2895db7997c9a2e689f21

the next release of yum will fix this.

thanks
Comment 4 Patrice Dumas 2008-05-14 10:30:35 EDT
That's a quick fix, thanks.

Note You need to log in before you can comment on or make changes to this bug.